import React, { ReactNode, RefAttributes } from 'react';
import { ContainerRef, ContainerProperties } from '@react-three/uikit';
export type AccordionProperties = ContainerProperties;
export declare function Accordion({ children, ...props }: AccordionProperties): React.JSX.Element;
export type AccordionItemProperties = ContainerProperties & {
    value: string;
};
export declare const AccordionItem: (props: RefAttributes<ContainerRef> & AccordionItemProperties) => ReactNode;
export type AccordionTriggerProperties = ContainerProperties;
export declare const AccordionTrigger: (props: RefAttributes<ContainerRef> & AccordionTriggerProperties) => ReactNode;
export type AccordionContentProperties = ContainerProperties;
export declare const AccordionContent: (props: RefAttributes<ContainerRef> & AccordionContentProperties) => ReactNode;
